## pymodbus 3.0.0

=== requirements.txt ===
# -------------------------------------------------------------------
# Python packages used by pymodbus.
# -------------------------------------------------------------------
# This file installs all requirements used by pymodbus, and are
# intended for developers who have cloned the repository.
#
# pymodbus is only being tested on python version 3.8, 3.9 and 3.10
# depending on the usage profile it might work on other versions.
python_version>="3.8"

# -------------------------------------------------------------------
# Required packages.
# -------------------------------------------------------------------
# install:required


# -------------------------------------------------------------------
# optional packages.
# -------------------------------------------------------------------
# These packages are optional for the runtime, but demanded for
# document generation, development and test.
#
# these packages can be installed like:
#    pip install pymodbus[serial]

# install:repl
aiohttp>=3.8.1
typer[all]>=0.6.1
prompt-toolkit==3.0.8

# install:serial
pyserial>=3.5
pyserial-asyncio==0.6

# install:datastore
redis>=2.10.6
sqlalchemy>=1.1.15


# -------------------------------------------------------------------
# documentation, everything needed to generate documentation.
# -------------------------------------------------------------------
# install:documentation
humanfriendly
m2r2
recommonmark
Sphinx
sphinx-rtd-theme


# -------------------------------------------------------------------
# development, everything needed to develop/test/check.
# -------------------------------------------------------------------
# install:development]
bandit==1.7.4
black==22.3.0
codespell==2.1.0
coverage==6.4
flake8==4.0.1
flake8-docstrings==1.6.0
flake8-noqa==1.2.2
flake8-comprehensions==3.10.0
isort==5.10.1
pep8==1.7.1
pyflakes==2.4.0
pydocstyle==6.1.1
pycodestyle==2.8.0
pylint==2.14.5
pytest==7.1.2
pytest-asyncio==0.18.3
pytest-cov==3.0.0
pytest-timeout==2.1.0
tox==3.25.0

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -W --keep-going
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = PyModbus
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== examples/contrib/requirements.txt ===
# -------------------------------------------------------------------
# if you want to use the custom data stores, uncomment these
# -------------------------------------------------------------------
SQLAlchemy>=0.7.9
redis>=2.6.2

=== debian/changelog ===
pymodbus (3.0.0-7) unstable; urgency=medium

  * fix debian/watch
  * update upstream homepage
  * add upstream patch to fix ModbusSerialServer setup

 -- Martin <debacle@debian.org>  Fri, 24 Feb 2023 09:47:36 +0000

pymodbus (3.0.0-6) unstable; urgency=medium

  * Team upload

  [ Bas Couwenberg ]
  * Add upstream patch to fix FTBFS with python3.11.
    (closes: #1028793)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 21 Jan 2023 21:04:48 +0100

pymodbus (3.0.0-5) unstable; urgency=medium

  * Add python3-pygments as build-dep and for autopkgtest

 -- Martin <debacle@debian.org>  Thu, 03 Nov 2022 19:27:06 +0000

pymodbus (3.0.0-4) unstable; urgency=medium

  * More dependencies for autopkgtest

 -- Martin <debacle@debian.org>  Thu, 03 Nov 2022 00:03:15 +0000

pymodbus (3.0.0-3) unstable; urgency=medium

  * More dependencies for autopkgtest

 -- Martin <debacle@debian.org>  Wed, 02 Nov 2022 09:22:55 +0000

pymodbus (3.0.0-2) unstable; urgency=medium

  * Fix dependency for autopkgtest

 -- Martin <debacle@debian.org>  Tue, 01 Nov 2022 23:37:50 +0000

pymodbus (3.0.0-1) unstable; urgency=medium

  * New upstream version (Closes: #1021814)
    - DFSG problematic files are gone
  * Re-enable (most) unittests
  * Run unittests in autopkgtest (Closes: #974467)
  * Install programs pymodbus.console and pymodbus.server

 -- Martin <debacle@debian.org>  Mon, 17 Oct 2022 18:33:00 +0000

=== debian/control ===
Source: pymodbus
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Martin <debacle@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: debhelper-compat (= 13),
	dh-python,
	python3,
	python3-click,
	python3-humanfriendly,
	python3-m2r,
	python3-mock,
	python3-prompt-toolkit,
	python3-pygments,
	python3-pytest,
	python3-pytest-asyncio,
	python3-pytest-cov,
	python3-recommonmark,
	python3-redis,
	python3-serial,
	python3-serial-asyncio,
	python3-setuptools,
	python3-six,
	python3-sphinx,
	python3-sphinx-rtd-theme,
	python3-sqlalchemy,
	python3-typer,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/pymodbus.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pymodbus
Homepage: https://github.com/pymodbus-dev/pymodbus

Package: python3-pymodbus
Architecture: all
Depends: ${misc:Depends},
	${python3:Depends},
Recommends: python3-serial-asyncio,
	python3-typer,
Provides: ${python3:Provides}
Description: full Modbus protocol implementation for Python 3
 Pymodbus is a full Modbus protocol implementation.
 It is currently supports the following :
 .
 Client Features:
  * Can perform single get/set on discrete and registers
  * Can perform multiple get/set on discrete and registers
  * Working on diagnostic/file/pipe/setting/info requests
  * Can fully scrape a host to be cloned
 .
 Server Features:
  * Can function as a fully implemented TCP/ASCII modbus server
  * Full server control context
  * Working on serial communication
  * Working on functioning as a RTU
  * Can mimic a server based on the supplied input data
 .
 For asynchronous communication, you need python-twisted-core.
 For serial communication, you need python-serial.
 .
 This package provides the Python 3.x module.

Package: python-pymodbus-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: full Modbus protocol implementation, documentation
 Pymodbus is a full Modbus protocol implementation.
 It is currently supports the following :
 .
 Client Features:
  * Can perform single get/set on discrete and registers
  * Can perform multiple get/set on discrete and registers
  * Working on diagnostic/file/pipe/setting/info requests
  * Can fully scrape a host to be cloned
 .
 Server Features:
  * Can function as a fully implemented TCP/ASCII modbus server
  * Full server control context
  * Working on serial communication
  * Working on functioning as a RTU
  * Can mimic a server based on the supplied input data
 .
 For asynchronous communication, you need python-twisted-core.
 For serial communication, you need python-serial.
 .
 This package provides the documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export PYBUILD_NAME=pymodbus
export http_proxy = http://127.0.0.1:9
export https_proxy = https://127.0.0.1:9

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

execute_after_dh_auto_build:
	( cd doc; \
	  PYTHONPATH=.. http_proxy='127.0.0.1:9' python3 -m sphinx -M html . _build )

override_dh_auto_test:
	PYTHONPATH=$(CURDIR) dh_auto_test

override_dh_installdocs:
	dh_installdocs -ppython-pymodbus-doc --doc-main-package=python-pymodbus-doc
	dh_installdocs --remaining-packages

override_dh_installexamples:
	dh_installexamples -ppython-pymodbus-doc --doc-main-package=python-pymodbus-doc
	dh_installexamples --remaining-packages

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/pymodbus_$1.tar.gz/" \
  https://github.com/pymodbus-dev/pymodbus/tags .*/v?(\d\S*)\.tar\.gz

## pymodbus 3.6.4

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -W --keep-going

# Put it first so that "make" without argument is like "make help".
help:
	sphinx-build -M help "." "_build" -W --keep-going

.PHONY: help Makefile

%: Makefile
	sphinx-build -M $@ "." "_build" -W --keep-going

=== debian/changelog ===
pymodbus (3.6.4-1~bpo12+1) bookworm-backports; urgency=medium

  * Backport to bookworm

 -- Martin <debacle@debian.org>  Thu, 06 Jun 2024 06:49:54 +0000

pymodbus (3.6.4-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 3.6.4
  * Remove extraneous build dependencies:
    - python3-m2r
    - python3-mock
    - python3-six
  * Add dependency on python3-aiohttp & python3-pytest-timeout
  * Fix lintian Error: package-installs-python-pycache-dir
  * Patch tests so they can find their certificate

  [ Martin ]
  * Remove obsolete patches, refresh privacy-breach-fixes.patch
  * Add new build-deps pybuild-plugin-pyproject and python3-pytest-xdist

 -- Alexandre Detiste <tchet@debian.org>  Mon, 27 May 2024 10:06:05 +0200

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,24 @@
 Uploaders: Martin <debacle@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-	dh-python,
+	dh-sequence-python3,
+	pybuild-plugin-pyproject,
 	python3,
+	python3-aiohttp,
 	python3-click,
 	python3-humanfriendly,
-	python3-m2r,
-	python3-mock,
 	python3-prompt-toolkit,
 	python3-pygments,
 	python3-pytest,
 	python3-pytest-asyncio,
 	python3-pytest-cov,
+        python3-pytest-timeout,
+	python3-pytest-xdist,
 	python3-recommonmark,
 	python3-redis,
 	python3-serial,
 	python3-serial-asyncio,
 	python3-setuptools,
-	python3-six,
 	python3-sphinx,
 	python3-sphinx-rtd-theme,
 	python3-sqlalchemy,

=== debian/tests/control ===
Test-Command: python3 -m pytest test
Depends: @,
 python3-aiohttp,
 python3-click,
 python3-prompt-toolkit,
 python3-pygments,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-cov,
 python3-pytest-timeout,
 python3-pytest-xdist,
 python3-redis,
 python3-serial,
 python3-serial-asyncio,
 python3-sqlalchemy,

## pymodbus 3.6.9

=== debian/changelog ===
pymodbus (3.6.9-0ubuntu0.24.04.1) noble; urgency=medium

  * SRU pymodbus backport to noble: (LP: #2083908)
    - d/watch: fix --download-current-version warning by using git mode
    - d/control: update maintainer

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Fri, 21 Mar 2025 07:59:36 +0000

pymodbus (3.6.9-1) unstable; urgency=medium

  * New upstream version
  * Replace tests/control with Testsuite: autopkgtest-pkg-pybuild

 -- Martin <debacle@debian.org>  Thu, 18 Jul 2024 20:36:54 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pymodbus
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Martin <debacle@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -32,6 +33,7 @@
 Vcs-Git: https://salsa.debian.org/python-team/packages/pymodbus.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pymodbus
 Homepage: https://github.com/pymodbus-dev/pymodbus
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pymodbus
 Architecture: all

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/pymodbus_$1.tar.gz/, mode=git" \
  https://github.com/pymodbus-dev/pymodbus.git refs/tags/v?(\d\S*)

## pymodbus 3.8.6

=== debian/changelog ===
pymodbus (3.8.6-2) unstable; urgency=medium

  * Fix reproducibility problem (Closes: #1102076)

 -- Martin <debacle@debian.org>  Fri, 04 Apr 2025 19:51:19 +0000

pymodbus (3.8.6-1) unstable; urgency=medium

  * New upstream version
  * Rework patches
    - disable unittest, which need a server
    - rename patch
    - refresh patch

 -- Martin <debacle@debian.org>  Wed, 02 Apr 2025 21:16:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pymodbus
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Martin <debacle@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: debhelper-compat (= 13),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export PYBUILD_NAME=pymodbus
export PYBUILD_BEFORE_TEST=cp -r {dir}/examples {build_dir}/
export PYBUILD_TEST_ARGS=-k 'not test_reconnect_call'
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/examples
export http_proxy = http://127.0.0.1:9
export https_proxy = https://127.0.0.1:9

%:
	dh $@ --buildsystem=pybuild --with sphinxdoc

execute_after_dh_auto_build:
	( cd doc; \
	  PYTHONPATH=.. http_proxy='127.0.0.1:9' python3 -m sphinx -M html . _build )

override_dh_installdocs:
	dh_installdocs -ppython-pymodbus-doc --doc-main-package=python-pymodbus-doc
	dh_installdocs --remaining-packages

override_dh_installexamples:
	dh_installexamples -ppython-pymodbus-doc --doc-main-package=python-pymodbus-doc
	dh_installexamples --remaining-packages

execute_after_dh_install:
	find -name '*.pyc' -delete
	find -name __pycache__ -delete
	find -name pymodbus.log -delete
